Get bank details for a funding account
curl --request GET \
--url https://v1.orchestrator.rhinestone.dev/deposit-processor/onramp/accounts/{id}/detailsimport requests
url = "https://v1.orchestrator.rhinestone.dev/deposit-processor/onramp/accounts/{id}/details"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://v1.orchestrator.rhinestone.dev/deposit-processor/onramp/accounts/{id}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bankDetails": {
"schemaVersion": 1,
"capturedAt": "2023-11-07T05:31:56Z",
"currency": "USD",
"accountHolderName": "<string>",
"rails": [
{
"type": "BankAch",
"accountNumber": "<string>",
"bankCode": "<string>",
"fee": {
"currency": "USD",
"base": "<string>",
"percent": "<string>",
"minimum": "<string>"
}
}
],
"bankName": "<string>",
"bankAddress": {
"street": "<string>",
"city": "<string>",
"postCode": "<string>",
"state": "<string>",
"country": "<string>",
"street2": "<string>"
},
"reference": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Onramp
Get bank details for a funding account
The coordinates to send the transfer to, captured when the account was configured. Served Cache-Control: no-store.
GET
/
onramp
/
accounts
/
{id}
/
details
Get bank details for a funding account
Headers
Integrator API key: the project’s orders
Customer bearer from POST /compliance/sessions: that customer’s orders only
Example:
"Bearer eyJhbGciOi..."
Path Parameters
Response
Bank instructions for transfers into this account
Show child attributes
Show child attributes
Was this page helpful?